
#ifndef __P0F_DB_H__
#define __P0F_DB_H__

#define _GNU_SOURCE

#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <unistd.h>
#include <netdb.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <pwd.h>
#include <grp.h>
#include <stdarg.h>
#include <stdio.h>
#include <pcap.h>
#include <signal.h>
#include <time.h>
#include <ctype.h>

#ifdef ENABLE_POSTGRESQL
#include <libpq-fe.h>
#endif

#ifdef ENABLE_MYSQL
#include <mysql.h>
#endif

#include "fpentry.h"

#ifdef ENABLE_POSTGRESQL
void pdb_pgout(_u8 *a, _u16 sp, _u8 *os, _u8 *desc, struct timeval pts);
void pdb_pgconnect(const char *conninfo);
void pdb_pgdisconnect();
#endif

#ifdef ENABLE_MYSQL
void pdb_mysqlout(_u8 *a, _u16 sp, _u8 *os, _u8 *desc, struct timeval pts);
void pdb_mysqlconnect(const char *conninfo);
void pdb_mysqldisconnect();
#endif

void pdb_parseconfig();

#define PDB_QUERY_LEN 512
#define PDB_CONF_LINE_LEN 1024
#define PDB_CONF_FILE_NAME "/etc/p0f/p0f-db.conf"

#endif /* __P0F_DB_H__ */

